Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 86324

Summary: pam_krb5 minimum_uid doesn't work
Product: [Retired] Red Hat Linux Reporter: Daniel Wittenberg <daniel-wittenberg>
Component: pam_krb5Assignee: Nalin Dahyabhai <nalin>
Status: CLOSED WONTFIX QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 7.3CC: mattdm, redhat, tao
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-04-19 23:57:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Daniel Wittenberg 2003-03-19 20:14:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020823
Netscape/7.0

Description of problem:
# grep pam_krb /etc/pam.d/system-auth

auth	    sufficient	  /lib/security/pam_krb5.so minimum_uid=15 use_first_pass
password    required      /lib/security/pam_krb5.so use_authtok minimum_uid=15
session	    sufficient	  /lib/security/pam_krb5.so minimum_uid=15

Then when I try to login via ssh as root:

pam_krb5: authenticate error: Clients credentials have been revoked (-1765328366)
pam_krb5: authentication fails for `root'
Failed password for root from x.x.x.x port 48196 ssh2

If minimum_uid doesn't try the UID, then how does it know the credentials have
been revoked?  I have disabled all 'standard' accounts like root 

Version-Release number of selected component (if applicable):
pam_krb5-1.55-1

How reproducible:
Always

Steps to Reproduce:
1.set the minimum_uid and try to login
2.
3.
    

Expected Results:  pam_krb5 ignores that user and drops to next module

Additional info:

Comment 1 Wayne Buttles 2003-05-09 16:11:44 UTC
I also have reproduced this problem.  It allows logins for default accounts 
like rpm if someone with AD rights feels like creating one.

Comment 2 Wayne Buttles 2003-05-09 16:24:14 UTC
Nevermind.  I figured out that it belongs in [appdefaults] / pam = 
in /etc/krb5.conf and seems to work fine there.

Shouldn't it be a RedHat default?  And shouldn't it be 100 and not 15?  The rpm 
user is wide open at uid 37.